WebAPI.Host (3.0)
Download OpenAPI description
Languages
Servers
Mock server
https://{{your_venus_webapi_ip_address}}/
Body
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Possible values:
- 0 - None
- 32 - SkipFile
- 33 - MethodPath
- 34 - LibraryPath
- 35 - LabwarePath
- 36 - OtherPath
- 37 - AbortProcedure
- 38 - AskUser
Enum032333435363738
Possible values:
- 0 - None
- 16 - ReplaceExisting
- 17 - KeepExisting
- 18 - AskUser
Enum0161718
Possible values:
- 0 - None
- 48 - ChooseBest
- 49 - ChooseNone
- 50 - AbortProcedure
- 51 - AskUser
Enum048495051
Possible values:
- 0 - None
- 64 - DefaultPath
- 65 - ExportedPath
- 66 - MethodPath
- 67 - LibraryPath
- 68 - LabwarePath
- 69 - OtherPath
Enum0646566676869
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"filePath": "string",
"pathRule": 0,
"fileRule": 0,
"instrumentRule": 0,
"importRule": 0,
"subDirectoryName": "string",
"methodPath": "string",
"libraryPath": "string",
"labwarePath": "string",
"miscPath": "string",
"importHamiltonFiles": true
}'Response
{ "result": true, "message": "string", "resetRunExec": true }
BodyArray []
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Possible values:
- 0 - None
- 32 - SkipFile
- 33 - MethodPath
- 34 - LibraryPath
- 35 - LabwarePath
- 36 - OtherPath
- 37 - AbortProcedure
- 38 - AskUser
Enum032333435363738
Possible values:
- 0 - None
- 16 - ReplaceExisting
- 17 - KeepExisting
- 18 - AskUser
Enum0161718
Possible values:
- 0 - None
- 48 - ChooseBest
- 49 - ChooseNone
- 50 - AbortProcedure
- 51 - AskUser
Enum048495051
Possible values:
- 0 - None
- 64 - DefaultPath
- 65 - ExportedPath
- 66 - MethodPath
- 67 - LibraryPath
- 68 - LabwarePath
- 69 - OtherPath
Enum0646566676869
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-methods
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-methods' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '[
{
"filePath": "string",
"pathRule": 0,
"fileRule": 0,
"instrumentRule": 0,
"importRule": 0,
"subDirectoryName": "string",
"methodPath": "string",
"libraryPath": "string",
"labwarePath": "string",
"miscPath": "string",
"importHamiltonFiles": true
}
]'Response
{ "result": true, "message": "string", "resetRunExec": true }
Body
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Possible values:
- 0 - SystemDefault
- 1 - Recovery
- 2 - SubdirectoryOfSystemDefault
- 3 - UserDefined
Enum0123
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method-package
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/import-method-package?archivePath=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"includeOriginalFiles": true,
"importMode": 0,
"directoryOption": [
{
"directoryKey": 0,
"pathValue": "string"
}
]
}'Response
{ "result": true, "message": "string", "resetRunExec": true }